<div class="miam-catalog-header" *ngIf="forcedRecipe || defaultRecipe">
  <div class="miam-catalog-header__picture">
    <div class="miam-catalog-header__picture__gradient"></div>
    <img class="miam-catalog-header__picture__img"
      [src]="
        forcedRecipe ?
        forcedRecipe.attributes['media-url'] :
        (forcedPictureUrl ? forcedPictureUrl : defaultRecipe.attributes['media-url'])">
  </div>

  <div *ngIf="displayReturnButton" class="miam-catalog-header__return" (click)="returnButtonPressed.emit()">
    <ng-miam-icon height='20' width='20' primaryColor="var(--m-color-primary)"  [iconName]="icon.ChevronDown"></ng-miam-icon>
    <span>Retour</span>
  </div>

  <div class="miam-catalog-header__content">
    <div class="miam-catalog-header__title">
      {{title}}
    </div>

    <div class="miam-catalog-header__searchbar">
      <ng-miam-icon 
        class="miam-catalog-header__searchbar__icon" 
        (click)="emitSearchString()" 
        [iconName]="icon.Search"
        primaryColor="var(--m-color-primary)">
      </ng-miam-icon>
      <input 
        type="text" 
        placeholder="Je cherche une recette ou un ingrédient que j'aime" 
        class="miam-catalog-header__searchbar__input"
        [(ngModel)]="searchString"
        (keydown.enter)="emitSearchString()"
        (blur)="emitSearchString()"
      >
      <div class="miam-catalog-header__searchbar__button">
        Rechercher
      </div>
    </div>
  </div>

  <div class="miam-catalog-header__link" *ngIf="forcedRecipe || !forcedPictureUrl" (click)="openRecipe()">
    <span>Découvrez une recette de la semaine : {{forcedRecipe ? forcedRecipe.attributes.title : defaultRecipe.attributes.title}}</span>
    <ng-miam-icon class="miam-catalog-header__link__icon" [width]="24" [height]="24" primaryColor='var(--m-color-white)' [iconName]="icon.Help"></ng-miam-icon>
  </div>
</div>